QMoveEvent(3qt)

NAME
QMoveEvent - Event parameters for move events

#include <qevent.h>

Inherits QEvent.

  Public Members
QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
const QPoint& pos () const
const QPoint& oldPos () const

DESCRIPTION
The QMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler QWidget::moveEvent() receives move events.

See also QWidget::move() and QWidget::setGeometry().

MEMBER FUNCTION DOCUMENTATION

QMoveEvent::QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
Constructs a move event with the new and old widget positions.

const QPoint & QMoveEvent::oldPos () const
Returns the old position of the widget.

const QPoint & QMoveEvent::pos () const
Returns the new position of the widget, which is the same as QWidget::pos().

SEE ALSO
http://doc.trolltech.com/qmoveevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qmoveevent.3qt) and the Qt version (2.3.7).